import{S as pn,i as hn,s as fn,e as s,k as m,w as E,t as i,M as un,c as a,d as t,m as p,a as r,x as M,h as l,b as d,N as gn,G as o,g as f,y as A,q as w,o as y,B as $,v as _n,L as ts}from"../../chunks/vendor-hf-doc-builder.js";import{T as ir}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ss}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ee}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as os}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function vn(V){let h,b,_,u,v;return u=new ss({props:{code:`from transformers import VideoMAEConfig, VideoMAEModel

# Initializing a VideoMAE videomae-base style configuration
configuration = VideoMAEConfig()

# Randomly initializing a model from the configuration
model = VideoMAEModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> VideoMAEConfig, VideoMAEModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a VideoMAE videomae-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = VideoMAEConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Randomly initializing a model from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=s("p"),b=i("Example:"),_=m(),E(u.$$.fragment)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Example:"),g.forEach(t),_=p(n),M(u.$$.fragment,n)},m(n,g){f(n,h,g),o(h,b),f(n,_,g),A(u,n,g),v=!0},p:ts,i(n){v||(w(u.$$.fragment,n),v=!0)},o(n){y(u.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),$(u,n)}}}function bn(V){let h,b,_,u,v;return{c(){h=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),u=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(g,"CODE",{});var T=r(_);u=l(T,"Module"),T.forEach(t),v=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(n,g){f(n,h,g),o(h,b),o(h,_),o(_,u),o(h,v)},d(n){n&&t(h)}}}function En(V){let h,b,_,u,v;return u=new ss({props:{code:`from decord import VideoReader, cpu
import numpy as np

from transformers import AutoImageProcessor, VideoMAEModel
from huggingface_hub import hf_hub_download


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
videoreader = VideoReader(file_path, num_threads=1, ctx=cpu(0))

# sample 16 frames
videoreader.seek(0)
indices = sample_frame_indices(clip_len=16, frame_sample_rate=4, seg_len=len(videoreader))
video = videoreader.get_batch(indices).asnumpy()

image_processor = AutoImageProcessor.from_pretrained("MCG-NJU/videomae-base")
model = VideoMAEModel.from_pretrained("MCG-NJU/videomae-base")

# prepare video for the model
inputs = image_processor(list(video), return_tensors="pt")

# forward pass
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> decord <span class="hljs-keyword">import</span> VideoReader, cpu
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, VideoMAEModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader = VideoReader(file_path, num_threads=<span class="hljs-number">1</span>, ctx=cpu(<span class="hljs-number">0</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 16 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">16</span>, frame_sample_rate=<span class="hljs-number">4</span>, seg_len=<span class="hljs-built_in">len</span>(videoreader))
<span class="hljs-meta">&gt;&gt;&gt; </span>video = videoreader.get_batch(indices).asnumpy()

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEModel.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># prepare video for the model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1568</span>, <span class="hljs-number">768</span>]`}}),{c(){h=s("p"),b=i("Examples:"),_=m(),E(u.$$.fragment)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Examples:"),g.forEach(t),_=p(n),M(u.$$.fragment,n)},m(n,g){f(n,h,g),o(h,b),f(n,_,g),A(u,n,g),v=!0},p:ts,i(n){v||(w(u.$$.fragment,n),v=!0)},o(n){y(u.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),$(u,n)}}}function Mn(V){let h,b,_,u,v;return{c(){h=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),u=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(g,"CODE",{});var T=r(_);u=l(T,"Module"),T.forEach(t),v=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(n,g){f(n,h,g),o(h,b),o(h,_),o(_,u),o(h,v)},d(n){n&&t(h)}}}function An(V){let h,b,_,u,v;return u=new ss({props:{code:`from transformers import AutoImageProcessor, VideoMAEForPreTraining
import numpy as np
import torch

num_frames = 16
video = list(np.random.randn(16, 3, 224, 224))

image_processor = AutoImageProcessor.from_pretrained("MCG-NJU/videomae-base")
model = VideoMAEForPreTraining.from_pretrained("MCG-NJU/videomae-base")

pixel_values = image_processor(video, return_tensors="pt").pixel_values

num_patches_per_frame = (model.config.image_size // model.config.patch_size) ** 2
seq_length = (num_frames // model.config.tubelet_size) * num_patches_per_frame
bool_masked_pos = torch.randint(0, 2, (1, seq_length)).bool()

outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, VideoMAEForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>num_frames = <span class="hljs-number">16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>video = <span class="hljs-built_in">list</span>(np.random.randn(<span class="hljs-number">16</span>, <span class="hljs-number">3</span>, <span class="hljs-number">224</span>, <span class="hljs-number">224</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEForPreTraining.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = image_processor(video, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>num_patches_per_frame = (model.config.image_size // model.config.patch_size) ** <span class="hljs-number">2</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>seq_length = (num_frames // model.config.tubelet_size) * num_patches_per_frame
<span class="hljs-meta">&gt;&gt;&gt; </span>bool_masked_pos = torch.randint(<span class="hljs-number">0</span>, <span class="hljs-number">2</span>, (<span class="hljs-number">1</span>, seq_length)).<span class="hljs-built_in">bool</span>()

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){h=s("p"),b=i("Examples:"),_=m(),E(u.$$.fragment)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Examples:"),g.forEach(t),_=p(n),M(u.$$.fragment,n)},m(n,g){f(n,h,g),o(h,b),f(n,_,g),A(u,n,g),v=!0},p:ts,i(n){v||(w(u.$$.fragment,n),v=!0)},o(n){y(u.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),$(u,n)}}}function wn(V){let h,b,_,u,v;return{c(){h=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),u=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(g,"CODE",{});var T=r(_);u=l(T,"Module"),T.forEach(t),v=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(n,g){f(n,h,g),o(h,b),o(h,_),o(_,u),o(h,v)},d(n){n&&t(h)}}}function yn(V){let h,b,_,u,v;return u=new ss({props:{code:`from decord import VideoReader, cpu
import torch
import numpy as np

from transformers import AutoImageProcessor, VideoMAEForVideoClassification
from huggingface_hub import hf_hub_download

np.random.seed(0)


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
videoreader = VideoReader(file_path, num_threads=1, ctx=cpu(0))

# sample 16 frames
videoreader.seek(0)
indices = sample_frame_indices(clip_len=16, frame_sample_rate=4, seg_len=len(videoreader))
video = videoreader.get_batch(indices).asnumpy()

image_processor = AutoImageProcessor.from_pretrained("MCG-NJU/videomae-base-finetuned-kinetics")
model = VideoMAEForVideoClassification.from_pretrained("MCG-NJU/videomae-base-finetuned-kinetics")

inputs = image_processor(list(video), return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
    logits = outputs.logits

# model predicts one of the 400 Kinetics-400 classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> decord <span class="hljs-keyword">import</span> VideoReader, cpu
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, VideoMAEForVideoClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">0</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader = VideoReader(file_path, num_threads=<span class="hljs-number">1</span>, ctx=cpu(<span class="hljs-number">0</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 16 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">16</span>, frame_sample_rate=<span class="hljs-number">4</span>, seg_len=<span class="hljs-built_in">len</span>(videoreader))
<span class="hljs-meta">&gt;&gt;&gt; </span>video = videoreader.get_batch(indices).asnumpy()

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base-finetuned-kinetics&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEForVideoClassification.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base-finetuned-kinetics&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">... </span>    logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 400 Kinetics-400 classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
eating spaghetti`}}),{c(){h=s("p"),b=i("Examples:"),_=m(),E(u.$$.fragment)},l(n){h=a(n,"P",{});var g=r(h);b=l(g,"Examples:"),g.forEach(t),_=p(n),M(u.$$.fragment,n)},m(n,g){f(n,h,g),o(h,b),f(n,_,g),A(u,n,g),v=!0},p:ts,i(n){v||(w(u.$$.fragment,n),v=!0)},o(n){y(u.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),$(u,n)}}}function $n(V){let h,b,_,u,v,n,g,T,as,ht,L,oe,So,$e,rs,qo,ns,ft,S,is,Ve,ls,ds,no,cs,ms,ut,io,ps,gt,lo,Do,hs,_t,co,fs,vt,te,Te,us,mo,gs,_s,vs,po,ho,bs,Es,bt,se,lr,Et,ae,Ms,fo,As,ws,Mt,q,ys,xe,$s,Vs,Pe,Ts,xs,At,O,re,Lo,je,Ps,Oo,js,wt,uo,ks,yt,go,Ro,Cs,$t,D,_o,ke,zs,Is,Fs,Uo,Ce,Ns,Ss,vo,ze,qs,Ds,Vt,R,ne,Wo,Ie,Ls,Go,Os,Tt,x,Fe,Rs,U,Us,bo,Ws,Gs,Ne,Js,Hs,Bs,W,Ks,Eo,Ys,Zs,Mo,Xs,Qs,ea,ie,xt,G,le,Jo,Se,oa,Ho,ta,Pt,J,qe,sa,de,De,aa,Bo,ra,jt,H,ce,Ko,Le,na,Yo,ia,kt,C,Oe,la,Zo,da,ca,me,Re,ma,Xo,pa,Ct,B,pe,Qo,Ue,ha,et,fa,zt,z,We,ua,Ge,ga,Je,_a,va,ba,P,He,Ea,K,Ma,Ao,Aa,wa,ot,ya,$a,Va,he,Ta,fe,It,Y,ue,tt,Be,xa,st,Pa,Ft,I,Ke,ja,Ye,ka,Ze,Ca,za,Ia,j,Xe,Fa,Z,Na,wo,Sa,qa,at,Da,La,Oa,ge,Ra,_e,Nt,X,ve,rt,Qe,Ua,nt,Wa,St,F,eo,Ga,oo,Ja,to,Ha,Ba,Ka,k,so,Ya,Q,Za,yo,Xa,Qa,it,er,or,tr,be,sr,Ee,qt;return n=new ee({}),$e=new ee({}),je=new ee({}),Ie=new ee({}),Fe=new N({props:{name:"class transformers.VideoMAEConfig",anchor:"transformers.VideoMAEConfig",parameters:[{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"num_frames",val:" = 16"},{name:"tubelet_size",val:" = 2"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"qkv_bias",val:" = True"},{name:"use_mean_pooling",val:" = True"},{name:"decoder_num_attention_heads",val:" = 6"},{name:"decoder_hidden_size",val:" = 384"},{name:"decoder_num_hidden_layers",val:" = 4"},{name:"decoder_intermediate_size",val:" = 1536"},{name:"norm_pix_loss",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.VideoMAEConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.VideoMAEConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.VideoMAEConfig.num_frames",description:`<strong>num_frames</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The number of frames in each video.`,name:"num_frames"},{anchor:"transformers.VideoMAEConfig.tubelet_size",description:`<strong>tubelet_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of tubelets.`,name:"tubelet_size"},{anchor:"transformers.VideoMAEConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.VideoMAEConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.VideoMAEConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.VideoMAEConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.VideoMAEConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.VideoMAEConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.VideoMAEConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.VideoMAEConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.VideoMAEConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.VideoMAEConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.VideoMAEConfig.use_mean_pooling",description:`<strong>use_mean_pooling</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to mean pool the final hidden states instead of using the final hidden state of the [CLS] token.`,name:"use_mean_pooling"},{anchor:"transformers.VideoMAEConfig.decoder_num_attention_heads",description:`<strong>decoder_num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of attention heads for each attention layer in the decoder.`,name:"decoder_num_attention_heads"},{anchor:"transformers.VideoMAEConfig.decoder_hidden_size",description:`<strong>decoder_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
Dimensionality of the decoder.`,name:"decoder_hidden_size"},{anchor:"transformers.VideoMAEConfig.decoder_num_hidden_layers",description:`<strong>decoder_num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of hidden layers in the decoder.`,name:"decoder_num_hidden_layers"},{anchor:"transformers.VideoMAEConfig.decoder_intermediate_size",description:`<strong>decoder_intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the decoder.`,name:"decoder_intermediate_size"},{anchor:"transformers.VideoMAEConfig.norm_pix_loss",description:`<strong>norm_pix_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the target patch pixels.`,name:"norm_pix_loss"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/configuration_videomae.py#L28"}}),ie=new os({props:{anchor:"transformers.VideoMAEConfig.example",$$slots:{default:[vn]},$$scope:{ctx:V}}}),Se=new ee({}),qe=new N({props:{name:"class transformers.VideoMAEFeatureExtractor",anchor:"transformers.VideoMAEFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/feature_extraction_videomae.py#L26"}}),De=new N({props:{name:"__call__",anchor:"transformers.VideoMAEFeatureExtractor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/image_processing_utils.py#L444"}}),Le=new ee({}),Oe=new N({props:{name:"class transformers.VideoMAEImageProcessor",anchor:"transformers.VideoMAEImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by the
<code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.VideoMAEImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the output image after resizing. The shortest edge of the image will be resized to
<code>size[&quot;shortest_edge&quot;]</code> while maintaining the aspect ratio of the original image. Can be overriden by
<code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.VideoMAEImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.VideoMAEImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image to the specified <code>crop_size</code>. Can be overridden by the <code>do_center_crop</code>
parameter in the <code>preprocess</code> method.`,name:"do_center_crop"},{anchor:"transformers.VideoMAEImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying the center crop. Can be overridden by the <code>crop_size</code> parameter in the
<code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.VideoMAEImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.VideoMAEImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Defines the scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter
in the <code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.VideoMAEImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.VideoMAEImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.VideoMAEImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/image_processing_videomae.py#L66"}}),Re=new N({props:{name:"preprocess",anchor:"transformers.VideoMAEImageProcessor.preprocess",parameters:[{name:"videos",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after applying resize.`,name:"size"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_centre_crop</code>) &#x2014;
Whether to centre crop the image.`,name:"do_center_crop"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the image after applying the centre crop.`,name:"crop_size"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
<li>Unset: Use the inferred channel dimension format of the input image.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/image_processing_videomae.py#L282"}}),Ue=new ee({}),We=new N({props:{name:"class transformers.VideoMAEModel",anchor:"transformers.VideoMAEModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L537"}}),He=new N({props:{name:"forward",anchor:"transformers.VideoMAEModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.1/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">VideoMAEImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L564",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),he=new ir({props:{$$slots:{default:[bn]},$$scope:{ctx:V}}}),fe=new os({props:{anchor:"transformers.VideoMAEModel.forward.example",$$slots:{default:[En]},$$scope:{ctx:V}}}),Be=new ee({}),Ke=new N({props:{name:"class transformers.VideoMAEForPreTraining",anchor:"transformers.VideoMAEForPreTraining",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L734"}}),Xe=new N({props:{name:"forward",anchor:"transformers.VideoMAEForPreTraining.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"bool_masked_pos",val:": BoolTensor"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEForPreTraining.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.1/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">VideoMAEImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEForPreTraining.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L752",returnDescription:`
<p>A <code>transformers.models.videomae.modeling_videomae.VideoMAEForPreTrainingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Pixel reconstruction loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, patch_size ** 2 * num_channels)</code>) \u2014 Pixel reconstruction logits.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer
plus the initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><code>transformers.models.videomae.modeling_videomae.VideoMAEForPreTrainingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ge=new ir({props:{$$slots:{default:[Mn]},$$scope:{ctx:V}}}),_e=new os({props:{anchor:"transformers.VideoMAEForPreTraining.forward.example",$$slots:{default:[An]},$$scope:{ctx:V}}}),Qe=new ee({}),eo=new N({props:{name:"class transformers.VideoMAEForVideoClassification",anchor:"transformers.VideoMAEForVideoClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEForVideoClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L913"}}),so=new N({props:{name:"forward",anchor:"transformers.VideoMAEForVideoClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEForVideoClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.1/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">VideoMAEImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEForVideoClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEForVideoClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEForVideoClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEForVideoClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.VideoMAEForVideoClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/videomae/modeling_videomae.py#L927",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states
(also called feature maps) of the model at the output of each stage.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),be=new ir({props:{$$slots:{default:[wn]},$$scope:{ctx:V}}}),Ee=new os({props:{anchor:"transformers.VideoMAEForVideoClassification.forward.example",$$slots:{default:[yn]},$$scope:{ctx:V}}}),{c(){h=s("meta"),b=m(),_=s("h1"),u=s("a"),v=s("span"),E(n.$$.fragment),g=m(),T=s("span"),as=i("VideoMAE"),ht=m(),L=s("h2"),oe=s("a"),So=s("span"),E($e.$$.fragment),rs=m(),qo=s("span"),ns=i("Overview"),ft=m(),S=s("p"),is=i("The VideoMAE model was proposed in "),Ve=s("a"),ls=i("VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training"),ds=i(` by Zhan Tong, Yibing Song, Jue Wang, Limin Wang.
VideoMAE extends masked auto encoders (`),no=s("a"),cs=i("MAE"),ms=i(") to video, claiming state-of-the-art performance on several video classification benchmarks."),ut=m(),io=s("p"),ps=i("The abstract from the paper is the following:"),gt=m(),lo=s("p"),Do=s("em"),hs=i("Pre-training video transformers on extra large-scale datasets is generally required to achieve premier performance on relatively small datasets. In this paper, we show that video masked autoencoders (VideoMAE) are data-efficient learners for self-supervised video pre-training (SSVP). We are inspired by the recent ImageMAE and propose customized video tube masking and reconstruction. These simple designs turn out to be effective for overcoming information leakage caused by the temporal correlation during video reconstruction. We obtain three important findings on SSVP: (1) An extremely high proportion of masking ratio (i.e., 90% to 95%) still yields favorable performance of VideoMAE. The temporally redundant video content enables higher masking ratio than that of images. (2) VideoMAE achieves impressive results on very small datasets (i.e., around 3k-4k videos) without using any extra data. This is partially ascribed to the challenging task of video reconstruction to enforce high-level structure learning. (3) VideoMAE shows that data quality is more important than data quantity for SSVP. Domain shift between pre-training and target datasets are important issues in SSVP. Notably, our VideoMAE with the vanilla ViT backbone can achieve 83.9% on Kinects-400, 75.3% on Something-Something V2, 90.8% on UCF101, and 61.1% on HMDB51 without using any extra data."),_t=m(),co=s("p"),fs=i("Tips:"),vt=m(),te=s("ul"),Te=s("li"),us=i("One can use "),mo=s("a"),gs=i("VideoMAEImageProcessor"),_s=i(" to prepare videos for the model. It will resize + normalize all frames of a video for you."),vs=m(),po=s("li"),ho=s("a"),bs=i("VideoMAEForPreTraining"),Es=i(" includes the decoder on top for self-supervised pre-training."),bt=m(),se=s("img"),Et=m(),ae=s("small"),Ms=i("VideoMAE pre-training. Taken from the "),fo=s("a"),As=i("original paper"),ws=i("."),Mt=m(),q=s("p"),ys=i("This model was contributed by "),xe=s("a"),$s=i("nielsr"),Vs=i(`.
The original code can be found `),Pe=s("a"),Ts=i("here"),xs=i("."),At=m(),O=s("h2"),re=s("a"),Lo=s("span"),E(je.$$.fragment),Ps=m(),Oo=s("span"),js=i("Resources"),wt=m(),uo=s("p"),ks=i(`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with VideoMAE. If
you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll
review it! The resource should ideally demonstrate something new instead of duplicating an existing resource.`),yt=m(),go=s("p"),Ro=s("strong"),Cs=i("Video classification"),$t=m(),D=s("ul"),_o=s("li"),ke=s("a"),zs=i("A notebook"),Is=i(` that shows how
to fine-tune a VideoMAE model on a custom dataset.`),Fs=m(),Uo=s("li"),Ce=s("a"),Ns=i("Video classification task page"),Ss=m(),vo=s("li"),ze=s("a"),qs=i("A \u{1F917} Space"),Ds=i(" showing how to perform inference with a video classification model."),Vt=m(),R=s("h2"),ne=s("a"),Wo=s("span"),E(Ie.$$.fragment),Ls=m(),Go=s("span"),Os=i("VideoMAEConfig"),Tt=m(),x=s("div"),E(Fe.$$.fragment),Rs=m(),U=s("p"),Us=i("This is the configuration class to store the configuration of a "),bo=s("a"),Ws=i("VideoMAEModel"),Gs=i(`. It is used to instantiate a
VideoMAE model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the VideoMAE
`),Ne=s("a"),Js=i("MCG-NJU/videomae-base"),Hs=i(" architecture."),Bs=m(),W=s("p"),Ks=i("Configuration objects inherit from "),Eo=s("a"),Ys=i("PretrainedConfig"),Zs=i(` and can be used to control the model outputs. Read the
documentation from `),Mo=s("a"),Xs=i("PretrainedConfig"),Qs=i(" for more information."),ea=m(),E(ie.$$.fragment),xt=m(),G=s("h2"),le=s("a"),Jo=s("span"),E(Se.$$.fragment),oa=m(),Ho=s("span"),ta=i("VideoMAEFeatureExtractor"),Pt=m(),J=s("div"),E(qe.$$.fragment),sa=m(),de=s("div"),E(De.$$.fragment),aa=m(),Bo=s("p"),ra=i("Preprocess an image or a batch of images."),jt=m(),H=s("h2"),ce=s("a"),Ko=s("span"),E(Le.$$.fragment),na=m(),Yo=s("span"),ia=i("VideoMAEImageProcessor"),kt=m(),C=s("div"),E(Oe.$$.fragment),la=m(),Zo=s("p"),da=i("Constructs a VideoMAE image processor."),ca=m(),me=s("div"),E(Re.$$.fragment),ma=m(),Xo=s("p"),pa=i("Preprocess an image or batch of images."),Ct=m(),B=s("h2"),pe=s("a"),Qo=s("span"),E(Ue.$$.fragment),ha=m(),et=s("span"),fa=i("VideoMAEModel"),zt=m(),z=s("div"),E(We.$$.fragment),ua=m(),Ge=s("p"),ga=i(`The bare VideoMAE Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=s("a"),_a=i("torch.nn.Module"),va=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ba=m(),P=s("div"),E(He.$$.fragment),Ea=m(),K=s("p"),Ma=i("The "),Ao=s("a"),Aa=i("VideoMAEModel"),wa=i(" forward method, overrides the "),ot=s("code"),ya=i("__call__"),$a=i(" special method."),Va=m(),E(he.$$.fragment),Ta=m(),E(fe.$$.fragment),It=m(),Y=s("h2"),ue=s("a"),tt=s("span"),E(Be.$$.fragment),xa=m(),st=s("span"),Pa=i("VideoMAEForPreTraining"),Ft=m(),I=s("div"),E(Ke.$$.fragment),ja=m(),Ye=s("p"),ka=i(`The VideoMAE Model transformer with the decoder on top for self-supervised pre-training.
This model is a PyTorch `),Ze=s("a"),Ca=i("torch.nn.Module"),za=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ia=m(),j=s("div"),E(Xe.$$.fragment),Fa=m(),Z=s("p"),Na=i("The "),wo=s("a"),Sa=i("VideoMAEForPreTraining"),qa=i(" forward method, overrides the "),at=s("code"),Da=i("__call__"),La=i(" special method."),Oa=m(),E(ge.$$.fragment),Ra=m(),E(_e.$$.fragment),Nt=m(),X=s("h2"),ve=s("a"),rt=s("span"),E(Qe.$$.fragment),Ua=m(),nt=s("span"),Wa=i("VideoMAEForVideoClassification"),St=m(),F=s("div"),E(eo.$$.fragment),Ga=m(),oo=s("p"),Ja=i(`VideoMAE Model transformer with a video classification head on top (a linear layer on top of the average pooled hidden
states of all tokens) e.g. for ImageNet.
This model is a PyTorch `),to=s("a"),Ha=i("torch.nn.Module"),Ba=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ka=m(),k=s("div"),E(so.$$.fragment),Ya=m(),Q=s("p"),Za=i("The "),yo=s("a"),Xa=i("VideoMAEForVideoClassification"),Qa=i(" forward method, overrides the "),it=s("code"),er=i("__call__"),or=i(" special method."),tr=m(),E(be.$$.fragment),sr=m(),E(Ee.$$.fragment),this.h()},l(e){const c=un('[data-svelte="svelte-1phssyn"]',document.head);h=a(c,"META",{name:!0,content:!0}),c.forEach(t),b=p(e),_=a(e,"H1",{class:!0});var ao=r(_);u=a(ao,"A",{id:!0,class:!0,href:!0});var lt=r(u);v=a(lt,"SPAN",{});var dt=r(v);M(n.$$.fragment,dt),dt.forEach(t),lt.forEach(t),g=p(ao),T=a(ao,"SPAN",{});var ct=r(T);as=l(ct,"VideoMAE"),ct.forEach(t),ao.forEach(t),ht=p(e),L=a(e,"H2",{class:!0});var ro=r(L);oe=a(ro,"A",{id:!0,class:!0,href:!0});var mt=r(oe);So=a(mt,"SPAN",{});var pt=r(So);M($e.$$.fragment,pt),pt.forEach(t),mt.forEach(t),rs=p(ro),qo=a(ro,"SPAN",{});var dr=r(qo);ns=l(dr,"Overview"),dr.forEach(t),ro.forEach(t),ft=p(e),S=a(e,"P",{});var $o=r(S);is=l($o,"The VideoMAE model was proposed in "),Ve=a($o,"A",{href:!0,rel:!0});var cr=r(Ve);ls=l(cr,"VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training"),cr.forEach(t),ds=l($o,` by Zhan Tong, Yibing Song, Jue Wang, Limin Wang.
VideoMAE extends masked auto encoders (`),no=a($o,"A",{href:!0});var mr=r(no);cs=l(mr,"MAE"),mr.forEach(t),ms=l($o,") to video, claiming state-of-the-art performance on several video classification benchmarks."),$o.forEach(t),ut=p(e),io=a(e,"P",{});var pr=r(io);ps=l(pr,"The abstract from the paper is the following:"),pr.forEach(t),gt=p(e),lo=a(e,"P",{});var hr=r(lo);Do=a(hr,"EM",{});var fr=r(Do);hs=l(fr,"Pre-training video transformers on extra large-scale datasets is generally required to achieve premier performance on relatively small datasets. In this paper, we show that video masked autoencoders (VideoMAE) are data-efficient learners for self-supervised video pre-training (SSVP). We are inspired by the recent ImageMAE and propose customized video tube masking and reconstruction. These simple designs turn out to be effective for overcoming information leakage caused by the temporal correlation during video reconstruction. We obtain three important findings on SSVP: (1) An extremely high proportion of masking ratio (i.e., 90% to 95%) still yields favorable performance of VideoMAE. The temporally redundant video content enables higher masking ratio than that of images. (2) VideoMAE achieves impressive results on very small datasets (i.e., around 3k-4k videos) without using any extra data. This is partially ascribed to the challenging task of video reconstruction to enforce high-level structure learning. (3) VideoMAE shows that data quality is more important than data quantity for SSVP. Domain shift between pre-training and target datasets are important issues in SSVP. Notably, our VideoMAE with the vanilla ViT backbone can achieve 83.9% on Kinects-400, 75.3% on Something-Something V2, 90.8% on UCF101, and 61.1% on HMDB51 without using any extra data."),fr.forEach(t),hr.forEach(t),_t=p(e),co=a(e,"P",{});var ur=r(co);fs=l(ur,"Tips:"),ur.forEach(t),vt=p(e),te=a(e,"UL",{});var Dt=r(te);Te=a(Dt,"LI",{});var Lt=r(Te);us=l(Lt,"One can use "),mo=a(Lt,"A",{href:!0});var gr=r(mo);gs=l(gr,"VideoMAEImageProcessor"),gr.forEach(t),_s=l(Lt," to prepare videos for the model. It will resize + normalize all frames of a video for you."),Lt.forEach(t),vs=p(Dt),po=a(Dt,"LI",{});var ar=r(po);ho=a(ar,"A",{href:!0});var _r=r(ho);bs=l(_r,"VideoMAEForPreTraining"),_r.forEach(t),Es=l(ar," includes the decoder on top for self-supervised pre-training."),ar.forEach(t),Dt.forEach(t),bt=p(e),se=a(e,"IMG",{src:!0,alt:!0,width:!0}),Et=p(e),ae=a(e,"SMALL",{});var Ot=r(ae);Ms=l(Ot,"VideoMAE pre-training. Taken from the "),fo=a(Ot,"A",{href:!0});var vr=r(fo);As=l(vr,"original paper"),vr.forEach(t),ws=l(Ot,"."),Ot.forEach(t),Mt=p(e),q=a(e,"P",{});var Vo=r(q);ys=l(Vo,"This model was contributed by "),xe=a(Vo,"A",{href:!0,rel:!0});var br=r(xe);$s=l(br,"nielsr"),br.forEach(t),Vs=l(Vo,`.
The original code can be found `),Pe=a(Vo,"A",{href:!0,rel:!0});var Er=r(Pe);Ts=l(Er,"here"),Er.forEach(t),xs=l(Vo,"."),Vo.forEach(t),At=p(e),O=a(e,"H2",{class:!0});var Rt=r(O);re=a(Rt,"A",{id:!0,class:!0,href:!0});var Mr=r(re);Lo=a(Mr,"SPAN",{});var Ar=r(Lo);M(je.$$.fragment,Ar),Ar.forEach(t),Mr.forEach(t),Ps=p(Rt),Oo=a(Rt,"SPAN",{});var wr=r(Oo);js=l(wr,"Resources"),wr.forEach(t),Rt.forEach(t),wt=p(e),uo=a(e,"P",{});var yr=r(uo);ks=l(yr,`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with VideoMAE. If
you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll
review it! The resource should ideally demonstrate something new instead of duplicating an existing resource.`),yr.forEach(t),yt=p(e),go=a(e,"P",{});var $r=r(go);Ro=a($r,"STRONG",{});var Vr=r(Ro);Cs=l(Vr,"Video classification"),Vr.forEach(t),$r.forEach(t),$t=p(e),D=a(e,"UL",{});var To=r(D);_o=a(To,"LI",{});var rr=r(_o);ke=a(rr,"A",{href:!0,rel:!0});var Tr=r(ke);zs=l(Tr,"A notebook"),Tr.forEach(t),Is=l(rr,` that shows how
to fine-tune a VideoMAE model on a custom dataset.`),rr.forEach(t),Fs=p(To),Uo=a(To,"LI",{});var xr=r(Uo);Ce=a(xr,"A",{href:!0,rel:!0});var Pr=r(Ce);Ns=l(Pr,"Video classification task page"),Pr.forEach(t),xr.forEach(t),Ss=p(To),vo=a(To,"LI",{});var nr=r(vo);ze=a(nr,"A",{href:!0,rel:!0});var jr=r(ze);qs=l(jr,"A \u{1F917} Space"),jr.forEach(t),Ds=l(nr," showing how to perform inference with a video classification model."),nr.forEach(t),To.forEach(t),Vt=p(e),R=a(e,"H2",{class:!0});var Ut=r(R);ne=a(Ut,"A",{id:!0,class:!0,href:!0});var kr=r(ne);Wo=a(kr,"SPAN",{});var Cr=r(Wo);M(Ie.$$.fragment,Cr),Cr.forEach(t),kr.forEach(t),Ls=p(Ut),Go=a(Ut,"SPAN",{});var zr=r(Go);Os=l(zr,"VideoMAEConfig"),zr.forEach(t),Ut.forEach(t),Tt=p(e),x=a(e,"DIV",{class:!0});var Me=r(x);M(Fe.$$.fragment,Me),Rs=p(Me),U=a(Me,"P",{});var xo=r(U);Us=l(xo,"This is the configuration class to store the configuration of a "),bo=a(xo,"A",{href:!0});var Ir=r(bo);Ws=l(Ir,"VideoMAEModel"),Ir.forEach(t),Gs=l(xo,`. It is used to instantiate a
VideoMAE model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the VideoMAE
`),Ne=a(xo,"A",{href:!0,rel:!0});var Fr=r(Ne);Js=l(Fr,"MCG-NJU/videomae-base"),Fr.forEach(t),Hs=l(xo," architecture."),xo.forEach(t),Bs=p(Me),W=a(Me,"P",{});var Po=r(W);Ks=l(Po,"Configuration objects inherit from "),Eo=a(Po,"A",{href:!0});var Nr=r(Eo);Ys=l(Nr,"PretrainedConfig"),Nr.forEach(t),Zs=l(Po,` and can be used to control the model outputs. Read the
documentation from `),Mo=a(Po,"A",{href:!0});var Sr=r(Mo);Xs=l(Sr,"PretrainedConfig"),Sr.forEach(t),Qs=l(Po," for more information."),Po.forEach(t),ea=p(Me),M(ie.$$.fragment,Me),Me.forEach(t),xt=p(e),G=a(e,"H2",{class:!0});var Wt=r(G);le=a(Wt,"A",{id:!0,class:!0,href:!0});var qr=r(le);Jo=a(qr,"SPAN",{});var Dr=r(Jo);M(Se.$$.fragment,Dr),Dr.forEach(t),qr.forEach(t),oa=p(Wt),Ho=a(Wt,"SPAN",{});var Lr=r(Ho);ta=l(Lr,"VideoMAEFeatureExtractor"),Lr.forEach(t),Wt.forEach(t),Pt=p(e),J=a(e,"DIV",{class:!0});var Gt=r(J);M(qe.$$.fragment,Gt),sa=p(Gt),de=a(Gt,"DIV",{class:!0});var Jt=r(de);M(De.$$.fragment,Jt),aa=p(Jt),Bo=a(Jt,"P",{});var Or=r(Bo);ra=l(Or,"Preprocess an image or a batch of images."),Or.forEach(t),Jt.forEach(t),Gt.forEach(t),jt=p(e),H=a(e,"H2",{class:!0});var Ht=r(H);ce=a(Ht,"A",{id:!0,class:!0,href:!0});var Rr=r(ce);Ko=a(Rr,"SPAN",{});var Ur=r(Ko);M(Le.$$.fragment,Ur),Ur.forEach(t),Rr.forEach(t),na=p(Ht),Yo=a(Ht,"SPAN",{});var Wr=r(Yo);ia=l(Wr,"VideoMAEImageProcessor"),Wr.forEach(t),Ht.forEach(t),kt=p(e),C=a(e,"DIV",{class:!0});var jo=r(C);M(Oe.$$.fragment,jo),la=p(jo),Zo=a(jo,"P",{});var Gr=r(Zo);da=l(Gr,"Constructs a VideoMAE image processor."),Gr.forEach(t),ca=p(jo),me=a(jo,"DIV",{class:!0});var Bt=r(me);M(Re.$$.fragment,Bt),ma=p(Bt),Xo=a(Bt,"P",{});var Jr=r(Xo);pa=l(Jr,"Preprocess an image or batch of images."),Jr.forEach(t),Bt.forEach(t),jo.forEach(t),Ct=p(e),B=a(e,"H2",{class:!0});var Kt=r(B);pe=a(Kt,"A",{id:!0,class:!0,href:!0});var Hr=r(pe);Qo=a(Hr,"SPAN",{});var Br=r(Qo);M(Ue.$$.fragment,Br),Br.forEach(t),Hr.forEach(t),ha=p(Kt),et=a(Kt,"SPAN",{});var Kr=r(et);fa=l(Kr,"VideoMAEModel"),Kr.forEach(t),Kt.forEach(t),zt=p(e),z=a(e,"DIV",{class:!0});var ko=r(z);M(We.$$.fragment,ko),ua=p(ko),Ge=a(ko,"P",{});var Yt=r(Ge);ga=l(Yt,`The bare VideoMAE Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=a(Yt,"A",{href:!0,rel:!0});var Yr=r(Je);_a=l(Yr,"torch.nn.Module"),Yr.forEach(t),va=l(Yt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Yt.forEach(t),ba=p(ko),P=a(ko,"DIV",{class:!0});var Ae=r(P);M(He.$$.fragment,Ae),Ea=p(Ae),K=a(Ae,"P",{});var Co=r(K);Ma=l(Co,"The "),Ao=a(Co,"A",{href:!0});var Zr=r(Ao);Aa=l(Zr,"VideoMAEModel"),Zr.forEach(t),wa=l(Co," forward method, overrides the "),ot=a(Co,"CODE",{});var Xr=r(ot);ya=l(Xr,"__call__"),Xr.forEach(t),$a=l(Co," special method."),Co.forEach(t),Va=p(Ae),M(he.$$.fragment,Ae),Ta=p(Ae),M(fe.$$.fragment,Ae),Ae.forEach(t),ko.forEach(t),It=p(e),Y=a(e,"H2",{class:!0});var Zt=r(Y);ue=a(Zt,"A",{id:!0,class:!0,href:!0});var Qr=r(ue);tt=a(Qr,"SPAN",{});var en=r(tt);M(Be.$$.fragment,en),en.forEach(t),Qr.forEach(t),xa=p(Zt),st=a(Zt,"SPAN",{});var on=r(st);Pa=l(on,"VideoMAEForPreTraining"),on.forEach(t),Zt.forEach(t),Ft=p(e),I=a(e,"DIV",{class:!0});var zo=r(I);M(Ke.$$.fragment,zo),ja=p(zo),Ye=a(zo,"P",{});var Xt=r(Ye);ka=l(Xt,`The VideoMAE Model transformer with the decoder on top for self-supervised pre-training.
This model is a PyTorch `),Ze=a(Xt,"A",{href:!0,rel:!0});var tn=r(Ze);Ca=l(tn,"torch.nn.Module"),tn.forEach(t),za=l(Xt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xt.forEach(t),Ia=p(zo),j=a(zo,"DIV",{class:!0});var we=r(j);M(Xe.$$.fragment,we),Fa=p(we),Z=a(we,"P",{});var Io=r(Z);Na=l(Io,"The "),wo=a(Io,"A",{href:!0});var sn=r(wo);Sa=l(sn,"VideoMAEForPreTraining"),sn.forEach(t),qa=l(Io," forward method, overrides the "),at=a(Io,"CODE",{});var an=r(at);Da=l(an,"__call__"),an.forEach(t),La=l(Io," special method."),Io.forEach(t),Oa=p(we),M(ge.$$.fragment,we),Ra=p(we),M(_e.$$.fragment,we),we.forEach(t),zo.forEach(t),Nt=p(e),X=a(e,"H2",{class:!0});var Qt=r(X);ve=a(Qt,"A",{id:!0,class:!0,href:!0});var rn=r(ve);rt=a(rn,"SPAN",{});var nn=r(rt);M(Qe.$$.fragment,nn),nn.forEach(t),rn.forEach(t),Ua=p(Qt),nt=a(Qt,"SPAN",{});var ln=r(nt);Wa=l(ln,"VideoMAEForVideoClassification"),ln.forEach(t),Qt.forEach(t),St=p(e),F=a(e,"DIV",{class:!0});var Fo=r(F);M(eo.$$.fragment,Fo),Ga=p(Fo),oo=a(Fo,"P",{});var es=r(oo);Ja=l(es,`VideoMAE Model transformer with a video classification head on top (a linear layer on top of the average pooled hidden
states of all tokens) e.g. for ImageNet.
This model is a PyTorch `),to=a(es,"A",{href:!0,rel:!0});var dn=r(to);Ha=l(dn,"torch.nn.Module"),dn.forEach(t),Ba=l(es,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),es.forEach(t),Ka=p(Fo),k=a(Fo,"DIV",{class:!0});var ye=r(k);M(so.$$.fragment,ye),Ya=p(ye),Q=a(ye,"P",{});var No=r(Q);Za=l(No,"The "),yo=a(No,"A",{href:!0});var cn=r(yo);Xa=l(cn,"VideoMAEForVideoClassification"),cn.forEach(t),Qa=l(No," forward method, overrides the "),it=a(No,"CODE",{});var mn=r(it);er=l(mn,"__call__"),mn.forEach(t),or=l(No," special method."),No.forEach(t),tr=p(ye),M(be.$$.fragment,ye),sr=p(ye),M(Ee.$$.fragment,ye),ye.forEach(t),Fo.forEach(t),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(Vn)),d(u,"id","videomae"),d(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(u,"href","#videomae"),d(_,"class","relative group"),d(oe,"id","overview"),d(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(oe,"href","#overview"),d(L,"class","relative group"),d(Ve,"href","https://arxiv.org/abs/2203.12602"),d(Ve,"rel","nofollow"),d(no,"href","vit_mae"),d(mo,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEImageProcessor"),d(ho,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEForPreTraining"),gn(se.src,lr="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/videomae_architecture.jpeg")||d(se,"src",lr),d(se,"alt","drawing"),d(se,"width","600"),d(fo,"href","https://arxiv.org/abs/2203.12602"),d(xe,"href","https://huggingface.co/nielsr"),d(xe,"rel","nofollow"),d(Pe,"href","https://github.com/MCG-NJU/VideoMAE"),d(Pe,"rel","nofollow"),d(re,"id","resources"),d(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(re,"href","#resources"),d(O,"class","relative group"),d(ke,"href","https://github.com/huggingface/notebooks/blob/main/examples/video_classification.ipynb"),d(ke,"rel","nofollow"),d(Ce,"href","https://huggingface.co/tasks/video-classification"),d(Ce,"rel","nofollow"),d(ze,"href","https://huggingface.co/spaces/sayakpaul/video-classification-ucf101-subset"),d(ze,"rel","nofollow"),d(ne,"id","transformers.VideoMAEConfig"),d(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ne,"href","#transformers.VideoMAEConfig"),d(R,"class","relative group"),d(bo,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEModel"),d(Ne,"href","https://huggingface.co/MCG-NJU/videomae-base"),d(Ne,"rel","nofollow"),d(Eo,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),d(Mo,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"id","transformers.VideoMAEFeatureExtractor"),d(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(le,"href","#transformers.VideoMAEFeatureExtractor"),d(G,"class","relative group"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"id","transformers.VideoMAEImageProcessor"),d(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ce,"href","#transformers.VideoMAEImageProcessor"),d(H,"class","relative group"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"id","transformers.VideoMAEModel"),d(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pe,"href","#transformers.VideoMAEModel"),d(B,"class","relative group"),d(Je,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Je,"rel","nofollow"),d(Ao,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEModel"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"id","transformers.VideoMAEForPreTraining"),d(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ue,"href","#transformers.VideoMAEForPreTraining"),d(Y,"class","relative group"),d(Ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ze,"rel","nofollow"),d(wo,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEForPreTraining"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"id","transformers.VideoMAEForVideoClassification"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#transformers.VideoMAEForVideoClassification"),d(X,"class","relative group"),d(to,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(to,"rel","nofollow"),d(yo,"href","/docs/transformers/v4.26.1/en/model_doc/videomae#transformers.VideoMAEForVideoClassification"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){o(document.head,h),f(e,b,c),f(e,_,c),o(_,u),o(u,v),A(n,v,null),o(_,g),o(_,T),o(T,as),f(e,ht,c),f(e,L,c),o(L,oe),o(oe,So),A($e,So,null),o(L,rs),o(L,qo),o(qo,ns),f(e,ft,c),f(e,S,c),o(S,is),o(S,Ve),o(Ve,ls),o(S,ds),o(S,no),o(no,cs),o(S,ms),f(e,ut,c),f(e,io,c),o(io,ps),f(e,gt,c),f(e,lo,c),o(lo,Do),o(Do,hs),f(e,_t,c),f(e,co,c),o(co,fs),f(e,vt,c),f(e,te,c),o(te,Te),o(Te,us),o(Te,mo),o(mo,gs),o(Te,_s),o(te,vs),o(te,po),o(po,ho),o(ho,bs),o(po,Es),f(e,bt,c),f(e,se,c),f(e,Et,c),f(e,ae,c),o(ae,Ms),o(ae,fo),o(fo,As),o(ae,ws),f(e,Mt,c),f(e,q,c),o(q,ys),o(q,xe),o(xe,$s),o(q,Vs),o(q,Pe),o(Pe,Ts),o(q,xs),f(e,At,c),f(e,O,c),o(O,re),o(re,Lo),A(je,Lo,null),o(O,Ps),o(O,Oo),o(Oo,js),f(e,wt,c),f(e,uo,c),o(uo,ks),f(e,yt,c),f(e,go,c),o(go,Ro),o(Ro,Cs),f(e,$t,c),f(e,D,c),o(D,_o),o(_o,ke),o(ke,zs),o(_o,Is),o(D,Fs),o(D,Uo),o(Uo,Ce),o(Ce,Ns),o(D,Ss),o(D,vo),o(vo,ze),o(ze,qs),o(vo,Ds),f(e,Vt,c),f(e,R,c),o(R,ne),o(ne,Wo),A(Ie,Wo,null),o(R,Ls),o(R,Go),o(Go,Os),f(e,Tt,c),f(e,x,c),A(Fe,x,null),o(x,Rs),o(x,U),o(U,Us),o(U,bo),o(bo,Ws),o(U,Gs),o(U,Ne),o(Ne,Js),o(U,Hs),o(x,Bs),o(x,W),o(W,Ks),o(W,Eo),o(Eo,Ys),o(W,Zs),o(W,Mo),o(Mo,Xs),o(W,Qs),o(x,ea),A(ie,x,null),f(e,xt,c),f(e,G,c),o(G,le),o(le,Jo),A(Se,Jo,null),o(G,oa),o(G,Ho),o(Ho,ta),f(e,Pt,c),f(e,J,c),A(qe,J,null),o(J,sa),o(J,de),A(De,de,null),o(de,aa),o(de,Bo),o(Bo,ra),f(e,jt,c),f(e,H,c),o(H,ce),o(ce,Ko),A(Le,Ko,null),o(H,na),o(H,Yo),o(Yo,ia),f(e,kt,c),f(e,C,c),A(Oe,C,null),o(C,la),o(C,Zo),o(Zo,da),o(C,ca),o(C,me),A(Re,me,null),o(me,ma),o(me,Xo),o(Xo,pa),f(e,Ct,c),f(e,B,c),o(B,pe),o(pe,Qo),A(Ue,Qo,null),o(B,ha),o(B,et),o(et,fa),f(e,zt,c),f(e,z,c),A(We,z,null),o(z,ua),o(z,Ge),o(Ge,ga),o(Ge,Je),o(Je,_a),o(Ge,va),o(z,ba),o(z,P),A(He,P,null),o(P,Ea),o(P,K),o(K,Ma),o(K,Ao),o(Ao,Aa),o(K,wa),o(K,ot),o(ot,ya),o(K,$a),o(P,Va),A(he,P,null),o(P,Ta),A(fe,P,null),f(e,It,c),f(e,Y,c),o(Y,ue),o(ue,tt),A(Be,tt,null),o(Y,xa),o(Y,st),o(st,Pa),f(e,Ft,c),f(e,I,c),A(Ke,I,null),o(I,ja),o(I,Ye),o(Ye,ka),o(Ye,Ze),o(Ze,Ca),o(Ye,za),o(I,Ia),o(I,j),A(Xe,j,null),o(j,Fa),o(j,Z),o(Z,Na),o(Z,wo),o(wo,Sa),o(Z,qa),o(Z,at),o(at,Da),o(Z,La),o(j,Oa),A(ge,j,null),o(j,Ra),A(_e,j,null),f(e,Nt,c),f(e,X,c),o(X,ve),o(ve,rt),A(Qe,rt,null),o(X,Ua),o(X,nt),o(nt,Wa),f(e,St,c),f(e,F,c),A(eo,F,null),o(F,Ga),o(F,oo),o(oo,Ja),o(oo,to),o(to,Ha),o(oo,Ba),o(F,Ka),o(F,k),A(so,k,null),o(k,Ya),o(k,Q),o(Q,Za),o(Q,yo),o(yo,Xa),o(Q,Qa),o(Q,it),o(it,er),o(Q,or),o(k,tr),A(be,k,null),o(k,sr),A(Ee,k,null),qt=!0},p(e,[c]){const ao={};c&2&&(ao.$$scope={dirty:c,ctx:e}),ie.$set(ao);const lt={};c&2&&(lt.$$scope={dirty:c,ctx:e}),he.$set(lt);const dt={};c&2&&(dt.$$scope={dirty:c,ctx:e}),fe.$set(dt);const ct={};c&2&&(ct.$$scope={dirty:c,ctx:e}),ge.$set(ct);const ro={};c&2&&(ro.$$scope={dirty:c,ctx:e}),_e.$set(ro);const mt={};c&2&&(mt.$$scope={dirty:c,ctx:e}),be.$set(mt);const pt={};c&2&&(pt.$$scope={dirty:c,ctx:e}),Ee.$set(pt)},i(e){qt||(w(n.$$.fragment,e),w($e.$$.fragment,e),w(je.$$.fragment,e),w(Ie.$$.fragment,e),w(Fe.$$.fragment,e),w(ie.$$.fragment,e),w(Se.$$.fragment,e),w(qe.$$.fragment,e),w(De.$$.fragment,e),w(Le.$$.fragment,e),w(Oe.$$.fragment,e),w(Re.$$.fragment,e),w(Ue.$$.fragment,e),w(We.$$.fragment,e),w(He.$$.fragment,e),w(he.$$.fragment,e),w(fe.$$.fragment,e),w(Be.$$.fragment,e),w(Ke.$$.fragment,e),w(Xe.$$.fragment,e),w(ge.$$.fragment,e),w(_e.$$.fragment,e),w(Qe.$$.fragment,e),w(eo.$$.fragment,e),w(so.$$.fragment,e),w(be.$$.fragment,e),w(Ee.$$.fragment,e),qt=!0)},o(e){y(n.$$.fragment,e),y($e.$$.fragment,e),y(je.$$.fragment,e),y(Ie.$$.fragment,e),y(Fe.$$.fragment,e),y(ie.$$.fragment,e),y(Se.$$.fragment,e),y(qe.$$.fragment,e),y(De.$$.fragment,e),y(Le.$$.fragment,e),y(Oe.$$.fragment,e),y(Re.$$.fragment,e),y(Ue.$$.fragment,e),y(We.$$.fragment,e),y(He.$$.fragment,e),y(he.$$.fragment,e),y(fe.$$.fragment,e),y(Be.$$.fragment,e),y(Ke.$$.fragment,e),y(Xe.$$.fragment,e),y(ge.$$.fragment,e),y(_e.$$.fragment,e),y(Qe.$$.fragment,e),y(eo.$$.fragment,e),y(so.$$.fragment,e),y(be.$$.fragment,e),y(Ee.$$.fragment,e),qt=!1},d(e){t(h),e&&t(b),e&&t(_),$(n),e&&t(ht),e&&t(L),$($e),e&&t(ft),e&&t(S),e&&t(ut),e&&t(io),e&&t(gt),e&&t(lo),e&&t(_t),e&&t(co),e&&t(vt),e&&t(te),e&&t(bt),e&&t(se),e&&t(Et),e&&t(ae),e&&t(Mt),e&&t(q),e&&t(At),e&&t(O),$(je),e&&t(wt),e&&t(uo),e&&t(yt),e&&t(go),e&&t($t),e&&t(D),e&&t(Vt),e&&t(R),$(Ie),e&&t(Tt),e&&t(x),$(Fe),$(ie),e&&t(xt),e&&t(G),$(Se),e&&t(Pt),e&&t(J),$(qe),$(De),e&&t(jt),e&&t(H),$(Le),e&&t(kt),e&&t(C),$(Oe),$(Re),e&&t(Ct),e&&t(B),$(Ue),e&&t(zt),e&&t(z),$(We),$(He),$(he),$(fe),e&&t(It),e&&t(Y),$(Be),e&&t(Ft),e&&t(I),$(Ke),$(Xe),$(ge),$(_e),e&&t(Nt),e&&t(X),$(Qe),e&&t(St),e&&t(F),$(eo),$(so),$(be),$(Ee)}}}const Vn={local:"videomae",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.VideoMAEConfig",title:"VideoMAEConfig"},{local:"transformers.VideoMAEFeatureExtractor",title:"VideoMAEFeatureExtractor"},{local:"transformers.VideoMAEImageProcessor",title:"VideoMAEImageProcessor"},{local:"transformers.VideoMAEModel",title:"VideoMAEModel"},{local:"transformers.VideoMAEForPreTraining",title:"VideoMAEForPreTraining"},{local:"transformers.VideoMAEForVideoClassification",title:"VideoMAEForVideoClassification"}],title:"VideoMAE"};function Tn(V){return _n(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class In extends pn{constructor(h){super();hn(this,h,Tn,$n,fn,{})}}export{In as default,Vn as metadata};
